dependency to libterm-readkey-perl missing

Bug #1035097 reported by jfried
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libnet-ssh2-perl (Ubuntu)
Undecided
Nathan Handler

Bug Description

Net::SSH2 might use Term::ReadKey to prompt for the password.

Related branches

Revision history for this message
gregor herrmann (gregoa) wrote : Re: [Pkg-perl-maintainers] [Bug 1035097] [NEW] dependency to libterm-readkey-perl missing

On Thu, 09 Aug 2012 21:22:01 -0000, jfried wrote:

> Net::SSH2 might use Term::ReadKey to prompt for the password.

Thanks.
Added to Recommends in 0.45-1 (just uploaded to Debian/unstable).

Cheers,
gregor

--
 .''`. Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer - http://www.debian.org/
 `. `' Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `- NP: Funny Van Dannen: Weinende Piratenbraut

Changed in libnet-ssh2-perl (Ubuntu):
assignee: nobody → Nathan Handler (nhandler)
status: New → In Progress
Revision history for this message
Nathan Handler (nhandler) wrote :

Format: 1.8
Date: Fri, 10 Aug 2012 10:07:57 -0500
Source: libnet-ssh2-perl
Binary: libnet-ssh2-perl
Architecture: source
Version: 0.45-1ubuntu1
Distribution: quantal
Urgency: low
Maintainer: Ubuntu Developers <email address hidden>
Changed-By: Nathan Handler <email address hidden>
Description:
 libnet-ssh2-perl - Perl module for the SSH 2 protocol
Changes:
 libnet-ssh2-perl (0.45-1ubuntu1) quantal; urgency=low
 .
   * Merge from debian unstable, remaining changes:
     - Add Build-Depends on libssl-dev
 .
 libnet-ssh2-perl (0.45-1) unstable; urgency=low
 .
   * Team upload.
 .
   [ Salvatore Bonaccorso ]
   * Imported Upstream version 0.45
 .
   [ gregor herrmann ]
   * Add libterm-readkey-perl to Recommends, needed for keyboard-
     interactive authentication. Thanks to jfried for the bug report
     (LP: #1035097)
   * Use debhelper 9.20120312 to get all hardening flags.
Checksums-Sha1:
 5c5d447eb3a3dc2325417d04fa3add14e768d968 2233 libnet-ssh2-perl_0.45-1ubuntu1.dsc
 2635736993427ed0259c258d9ce1327950c5b26b 112658 libnet-ssh2-perl_0.45.orig.tar.gz
 b424d5e2e0effef4dad9118f09a60ea65ab15842 4005 libnet-ssh2-perl_0.45-1ubuntu1.debian.tar.gz
Checksums-Sha256:
 b039be378bb42200832f35f5dd0ca089c5767e87a29f4a1caa060dd6b8abe277 2233 libnet-ssh2-perl_0.45-1ubuntu1.dsc
 e982be88bc22246a5a1a0cc0cd3b74626438ba230f31b283ee7fbb6649f0c0b8 112658 libnet-ssh2-perl_0.45.orig.tar.gz
 14c35e1f992bb3b99c9c63293e10470e5c145183b002eed0a4202f7e23528e52 4005 libnet-ssh2-perl_0.45-1ubuntu1.debian.tar.gz
Files:
 1fb65f3f0f3d9104590ca58d1fef9cbe 2233 perl optional libnet-ssh2-perl_0.45-1ubuntu1.dsc
 5e18086347bc2099d1c67f898805841e 112658 perl optional libnet-ssh2-perl_0.45.orig.tar.gz
 299d7005434a2973760aca58c1911113 4005 perl optional libnet-ssh2-perl_0.45-1ubuntu1.debian.tar.gz
Original-Maintainer: Debian Perl Group <email address hidden>

Changed in libnet-ssh2-perl (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers